<?php
//*********************/
//Скрипт переписан админом
//http://waufon.ru  Кот      *  Проги для компа и мобил
//Помогал админ
//http://pfc.h2m.ru/ КОСМОС  * Посети непожалееш
//всю эту срань господнюю
//перехуяривали на дыры
//http://rus-waphost.ru/ Nitrix * Супер хост без висов
/*********************/
$v_now = time( );
$v_posts = $row['vposts'];
$vict = file( "data/vict.dat" );
$vict = explode( "|", $vict[0] );
$answer = $vict[1];
$v_time = $vict[2];
$v_out = $v_time + 120;
$psk = $vict[0];
$flag = FALSE;
if ( $answer == $msg )
///
$vposts = $row['vposts'];
$vposts = $vposts + 1;  
 if ( $answer == $msg && !empty( $answer ) )  
///
{
//
mysql_query( "Update users set vposts='".$vposts."' where id ='".$id."'" );  
//
    $flag = TRUE;
$psk = "Молодец \r\n<u>".$row['login']."</u> -- \r\r\nэто гениально!<br/>\r\nВерное слово <u>{$msg}</u>!</b>!<br/>\r\n\t<b>".$row['login']."</b>\r\r\n\t</b> правильно отвечает на <b>{$vposts}</b> вопрос!";
    ++$v_posts;
    mysql_query( "Update users set vposts='".$v_posts."' where id ='".$id."'" );
}
else if ( $v_out < $v_now )
{
    $flag = TRUE;
    $psk = "Ипать вы тупой народ!! такой фуйни незнает никто...<br/>\r\nЭто <u>{$answer}</u> тупые вы...<br/>\r\nЩас следующее загадаю.";
}
else if ( $v_time + 60 < $v_now )
{
    $psk .= "<br/>Это <font color=lime>".substr( $answer, 0, 2 )."</font> ...";
}
echo "<br/><div><font color=yellow><u>Каркуша :)</u></font> [".date( "H.i", $v_time )."]&gt;<br/>{$psk}</div>";
if ( $flag )
{
    $quest = gzfile( "gg.gz" );
    $rn = rand( 0, count( $gg ) - 1 );
    $data = explode( "::", $gg[$rn] );
    $nv = trim( $data[0] );
    $answer = trim( $data[1] );
    $len = strlen( $answer ) / 2;
    $fp = fopen( "data/vict.dat", "wb" );
    fputs( $fp, $nv." (".$len." букв)|".$answer."|".$v_now );
    fclose( $fp );
}
?>